# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IDrillThroughInstance

Packages that use IDrillThroughInstance
Package
Description
org.eclipse.birt.report.engine.api.script.instance
Report element representations in the BIRT scripting environment.

## Uses of IDrillThroughInstance in org.eclipse.birt.report.engine.api.script.instance

Methods in org.eclipse.birt.report.engine.api.script.instance that return IDrillThroughInstance
Modifier and Type
Method
Description
`IDrillThroughInstance`
IActionInstance.`createDrillThrough()`
create a empty drillThrough instance.
`IDrillThroughInstance`
IActionInstance.`createDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format)`
Deprecated.
Create a drillThrough instance.
`IDrillThroughInstance`
IActionInstance.`createDrillThrough(String bookmark, boolean isBookmark, String reportName, Map parameterBindings, Map searchCriteria, String target, String format, String targetFileType)`
Create a drillThrough instance.
`IDrillThroughInstance`
IActionInstance.`getDrillThrough()`
Methods in org.eclipse.birt.report.engine.api.script.instance with parameters of type IDrillThroughInstance
Modifier and Type
Method
Description
`void`
IActionInstance.`setDrillThrough(IDrillThroughInstance drillThroughInstance)`
Set IDrillThroughInstance.